Bug 1202017 - [abrt] seamonkey: ~PseudoStack(): plugin-container killed by SIGSEGV
Summary: [abrt] seamonkey: ~PseudoStack(): plugin-container killed by SIGSEGV
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: seamonkey
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Gecko Maintainer
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:73436dbc1c58c03a96efdc746d9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-14 15:47 UTC by mars kasei
Modified: 2015-06-03 08:18 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-03 08:18:10 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (19.43 KB, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: cgroup (180 bytes, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: core_backtrace (4.82 KB, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: dso_list (9.75 KB, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: environ (2.09 KB, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: limits (1.29 KB, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: maps (46.17 KB, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: open_fds (133 bytes, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: proc_pid_status (952 bytes, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: var_log_messages (225 bytes, text/plain)
2015-03-14 15:48 UTC, mars kasei
no flags Details
File: exploitable (131 bytes, application/octet-stream)
2015-03-14 15:48 UTC, mars kasei
no flags Details

Description mars kasei 2015-03-14 15:47:56 UTC
Description of problem:
2 tabs, { daniweb.com, coh2.org }
Me thinks it's the 2nd tab, coh2.org, which caused this.

Version-Release number of selected component:
seamonkey-2.32.1-1.fc20

Additional info:
reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/seamonkey/plugin-container /usr/lib64/flash-plugin/libflashplayer.so -greomni /usr/lib64/seamonkey/omni.ja -appdir /usr/lib64/seamonkey 27613 plugin
crash_function: ~PseudoStack
executable:     /usr/lib64/seamonkey/plugin-container
kernel:         3.18.7-100.fc20.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (6 frames)
 #2 ~PseudoStack at /usr/src/debug/seamonkey-2.32.1/comm-release/mozilla/tools/profiler/PseudoStack.h:305
 #3 ThreadInfo::~ThreadInfo at /usr/src/debug/seamonkey-2.32.1/comm-release/mozilla/tools/profiler/platform.cpp:129
 #5 Sampler::UnregisterCurrentThread at /usr/src/debug/seamonkey-2.32.1/comm-release/mozilla/tools/profiler/platform-linux.cc:506
 #6 profiler_unregister_thread at ../../dist/include/GeckoProfilerImpl.h:193
 #7 base::Thread::ThreadMain at /usr/src/debug/seamonkey-2.32.1/comm-release/mozilla/ipc/chromium/src/base/thread.cc:179
 #8 ThreadFunc at /usr/src/debug/seamonkey-2.32.1/comm-release/mozilla/ipc/chromium/src/base/platform_thread_posix.cc:39

Comment 1 mars kasei 2015-03-14 15:48:02 UTC
Created attachment 1001683 [details]
File: backtrace

Comment 2 mars kasei 2015-03-14 15:48:03 UTC
Created attachment 1001684 [details]
File: cgroup

Comment 3 mars kasei 2015-03-14 15:48:05 UTC
Created attachment 1001685 [details]
File: core_backtrace

Comment 4 mars kasei 2015-03-14 15:48:08 UTC
Created attachment 1001686 [details]
File: dso_list

Comment 5 mars kasei 2015-03-14 15:48:09 UTC
Created attachment 1001687 [details]
File: environ

Comment 6 mars kasei 2015-03-14 15:48:11 UTC
Created attachment 1001688 [details]
File: limits

Comment 7 mars kasei 2015-03-14 15:48:19 UTC
Created attachment 1001689 [details]
File: maps

Comment 8 mars kasei 2015-03-14 15:48:21 UTC
Created attachment 1001690 [details]
File: open_fds

Comment 9 mars kasei 2015-03-14 15:48:22 UTC
Created attachment 1001691 [details]
File: proc_pid_status

Comment 10 mars kasei 2015-03-14 15:48:24 UTC
Created attachment 1001692 [details]
File: var_log_messages

Comment 11 mars kasei 2015-03-14 15:48:26 UTC
Created attachment 1001693 [details]
File: exploitable

Comment 12 mars kasei 2015-03-24 02:01:57 UTC
Another user experienced a similar problem:

browsing http://finance.yahoo.com

reporter:       libreport-2.2.3
backtrace_rating: 4
cmdline:        /usr/lib64/seamonkey/seamonkey
crash_function: ~PseudoStack
executable:     /usr/lib64/seamonkey/seamonkey
kernel:         3.18.9-100.fc20.x86_64
package:        seamonkey-2.32.1-1.fc20
reason:         seamonkey killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 13 Fedora End Of Life 2015-05-29 13:44:43 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Martin Stransky 2015-06-03 08:18:10 UTC
This is an automatic bug close. Please reopen if you keep seeing the crash and/or you can reproduce the issue and remove the [abrt] string from bug summary. Thanks!


Note You need to log in before you can comment on or make changes to this bug.